CHANGELOG
=========

##	Alpha version development started July 23, 2023
##	Developed by Veer and Saad Mehmood at XenCustomize.com
##	This add-on enables members to showcase custom music tracks on their profiles with a stylish audio player.
##	License: Single-use License (1 License, 1 website). The product is provided AS-IS, no promisses for additional new features or functionality.
##	Updates duration: 6 Months / $10 Renewal
##	Visible branding: Yes, but removable with payment ($10 USD)
##	Requires XenForo 2.2



##	1.0.2 (August 15, 2023)
##	==================================== IMPLEMENTED FEATURES FOR 1.0.2 ====================================

01.	Introduced the ability for users to directly upload audio files.
	1.	Accepted audio file extentions are: mp3, wav, aac, flac, m4a, ogg, oga, amb, m4r, and opus.
02.	A new usergroup permission has been added within the section: [XenCustomize] Profile Audio Player:
	1.	Can upload audio
	2.	Implemented a post-upgrade setup to automatically apply new permissions upon upgrading.
	3.	Updated the post-install setup to automatically apply new permission upon installation.



##	1.0.1 (August 11, 2023)
##	==================================== IMPLEMENTED FEATURES FOR 1.0.1 ====================================

01.	Playlist audio limit has now doubled, increasing from 5 to an impressive 10 tracks.
02.	Manage your playlist button in the account navigation group, next to the Inbox and Alert buttons.
03.	Admin option to Enable "Manage Your Playlist" button in account navigation group.



##	1.0.0 (August 9, 2023)
##	==================================== IMPLEMENTED FEATURES FOR 1.0.0 ====================================

01.	Profile Audio Player appears on user profiles only when user enter audio links.
02.	Admin option to Enable or Disable "Profile Audio Player" (Enabled by default).
03.	Admin option to Enable or Disable "Autoplay" of audio tracks site-wide when profiles load.
04.	Admin option to choose Player position (Profile Sidebar by default).
	1.	Profile Sidebar (Right sidebar on profile).
	2.	Profile Sidenav (Left sidenav on profile).
05.	New "Profile Audio Player" section above "Settings" section in Account wrapper.
	1.	Manage your playlist page (forum.com/account/manage-your-playlist).
	2.	Support up to 5 audios.
	3.	Each audio has five input fields for users:
		1.	Audio URL
		2.	Artist name
		3.	Audio/Song title
		4.	Album name
		5.	Album art (upload image)
06.	Enable "Manage your playlist" page link in account visitor menu.
	1.	Admin option to Enable or disable "Manage your playlist" in Account visitor menu.
07.	Own database table "xf_xcu_profile_audio" to store User audio data: Audio url, Artist, Audio title, Album and Album art url.
08.	Stylish Audio Player based on HTML5, CSS3 and jQuery. 
09.	Audio Player features include:
	1.	Artist name
	2.	Album name
	3.	Album art
	4.	Audio track title
	5.	Audio track duration
	6.	Audio track progress bar
	7.	Audio tracks playlist button
	8.	Play button
	9.	Pause button
	10.	Next track button
	11.	Previous track button
	12.	Manage your playlist button
	13.	Volume control
10.	Utilized the XenForo standard title tooltip for all buttons on the player.
11.	Included 23 style properties that make it easy to customize the Player's look and design effortlessly.
	1.	Player album art default
	2.	Player album art width
	3.	Player background
	4.	Player controls action button active color
	5.	Player controls action button color
	6.	Player controls duration color
	7.	Player controls progress bar background
	8.	Player controls toggle play list background color
	9.	Player controls toggle play list bottom
	10.	Player controls toggle play list height
	11.	Player current info color
	12.	Player play list active color
	13.	Player play list color
	14.	Player play list hover color
	15.	Player volume background
	16.	Player volume slider
	17.	Player width
	18.	Player Current Info Song Album
	19.	Player Current Info Song Artist
	20.	Player Current Info Song Title
	21.	Player Play List Songs Info Song Artist
	22.	Player Play List Songs Info Song Title
	23.	Player Play List Songs Info Songs Detail
12.	Admin can upload custom default image of "Player Album Art" by utilizing its dedicated style property.
13.	Usergroup permissions added under the section: [XenCustomize] Profile Audio Player.
	1.	View profile audio player
	2.	Can add audio to profile audio player
14.	Permissions for the usergroups are automatically set up during the installation process.
15.	Added "Auto Play" for audio tracks when profiles are opened.
16.	Phrased completely to make it easy to translate into other languages.



##	LICENSE AGREEMENT
##	========================= License Agreement ===============================================================

For the avoidance of doubt, purchasing a license entitles you to the use of [XenCustomize] Profile Audio Player on a single XenForo installation. If you wish to install [XenCustomize] Profile Audio Player on more than one installation then you must buy additional licenses.



##	SUPPORT US
##	========================= Do you enjoy using this add-on? =================================================
	
You can contribute to its ongoing development by making a donation or purchasing an extra license. Leaving a review and rating the add-on would also help enhance its visibility. As we're new in XenForo add-on development, your support is greatly appreciated!



##	TODO LIST
##	========================= Planned features without any commitment or estimated time of arrival ============

1.	User privacy options
2.	Multiple playlists





Introducing the only Profile Music add-on for XenForo 2! Profile Audio Player is the premier profile music add-on for XenForo 2.

Are you ready to add a whole new dimension to your XenForo 2 profiles? We're thrilled to present the Profile Audio Player, a groundbreaking add-on designed to bring your XenForo community's profiles to life with the magic of music!

🎵 Express Yourself with Music Elevate your XenForo 2 community profiles by adding your favorite custom music tracks. Share your musical taste with others in a fun and unique way.

🎧 Easy for Everyone You don't need to be a tech expert to use this. Just upload your music, and the Profile Music Player will do the rest.

🔊 Admin Control, Your Way Tailor the experience to your community’s preferences with admin options. Enable or disable the Player with a single click, and choose whether audio tracks autoplay site-wide when profiles load. You’re in control.

🎵 Immersive Audio Player Experience music like never before with our stylish, HTML5, CSS3, and jQuery-based Audio Player. It’s more than just play and pause – enjoy artist names, album details, track duration, progress bars, and even a playlist button for uninterrupted listening pleasure.

🖼️ Visual Brilliance The Profile Audio Player doesn’t just sound great – it looks stunning too. With album artwork integration, your users’ profiles will come alive with vibrant visuals that perfectly complement their musical choices.

🎨 Make it Yours With 23 style properties, you can customize the Player’s appearance and design to match your community’s unique identity. Set the mood and create an immersive experience like no other.

🎉 Seamless Management Integrates well into the Player, Account wrapper and Visitor menu. Users can manage up to 10 audio tracks with individual input fields, including audio uploads or URLs, artist names, song titles, album names, and even the ability to upload custom album art.

🌐 Effortless Translation If your site supports multiple languages, our product is fully phrased, making it easy to translate into different languages and connect with users from around the world.

🌟 Be a Trailblazer Be the first in your community to have this unique Profile Music add-on. Share your love for music with friends and fellow members.

🎶 Feel the Music Experience the joy of music as it fills your profile. Let your favorite tunes speak for you.

Join the musical revolution today with the Profile Music Add-On. Make your XenForo 2 profile come alive with the sound of music!