<?php

/*************************************************************************
 * [XenCustomize] Profile Audio Player © 2023 XenCustomize.com
 * All Rights Reserved.
 *************************************************************************/

namespace XenCustomize\ProfileAudioPlayer\Service;

use XF\App;
use XenCustomize\ProfileAudioPlayer\Entity\ProfileAudio;

class ProfileAudioPlayer
{
    protected $app;

    public function __construct(App $app)
    {
        $this->app = $app;
    }

    public function getProfileAudioEntity($userId)
    {
        return $this->app->em()->find('XenCustomize\ProfileAudioPlayer:ProfileAudio', $userId);
    }
}
