<?php

/*************************************************************************
 * [XenCustomize] Profile Audio Player © 2023 XenCustomize.com
 * All Rights Reserved.
 *************************************************************************/

namespace XenCustomize\ProfileAudioPlayer\XF\Pub\Controller;

class Account extends XFCP_Account
{
    public function actionManageYourPlaylist()
    {
        $visitor = \XF::visitor();

        if ($this->isPost())
        {
            $inputData = $this->filter([
                'album_1' => 'str',
                'albumart_1' => 'str',
                'artist_1' => 'str',
                'audio_url_1' => 'str',
                'title_1' => 'str',

                'album_2' => 'str',
                'albumart_2' => 'str',
                'artist_2' => 'str',
                'audio_url_2' => 'str',
                'title_2' => 'str',

                'album_3' => 'str',
                'albumart_3' => 'str',
                'artist_3' => 'str',
                'audio_url_3' => 'str',
                'title_3' => 'str',

                'album_4' => 'str',
                'albumart_4' => 'str',
                'artist_4' => 'str',
                'audio_url_4' => 'str',
                'title_4' => 'str',

                'album_5' => 'str',
                'albumart_5' => 'str',
                'artist_5' => 'str',
                'audio_url_5' => 'str',
                'title_5' => 'str',

                'album_6' => 'str',
                'albumart_6' => 'str',
                'artist_6' => 'str',
                'audio_url_6' => 'str',
                'title_6' => 'str',

                'album_7' => 'str',
                'albumart_7' => 'str',
                'artist_7' => 'str',
                'audio_url_7' => 'str',
                'title_7' => 'str',

                'album_8' => 'str',
                'albumart_8' => 'str',
                'artist_8' => 'str',
                'audio_url_8' => 'str',
                'title_8' => 'str',

                'album_9' => 'str',
                'albumart_9' => 'str',
                'artist_9' => 'str',
                'audio_url_9' => 'str',
                'title_9' => 'str',

                'album_10' => 'str',
                'albumart_10' => 'str',
                'artist_10' => 'str',
                'audio_url_10' => 'str',
                'title_10' => 'str'
            ]);

            $profileAudio = $visitor->ProfileAudio;

            if (!$profileAudio)
            {
                $profileAudio = $this->em()->create('XenCustomize\ProfileAudioPlayer:ProfileAudio');
                $profileAudio->user_id = $visitor->user_id;
            }

            $profileAudio->bulkSet($inputData);
            $profileAudio->save();

            return $this->redirect($this->buildLink('account/manage-your-playlist'));
        }
        else
        {
            $view = $this->view('', 'xcu_profile_audio_player_manage_your_playlist', [
                'profileAudio' => $visitor->ProfileAudio
            ]);
            return $this->addAccountWrapperParams($view, 'manage-your-playlist');
        }
    }
}
