<?php

/*************************************************************************
 * [XenCustomize] Profile Audio Player © 2023 XenCustomize.com
 * All Rights Reserved.
 *************************************************************************/

namespace XenCustomize\ProfileAudioPlayer;

use XF\Entity\User;
use XF\Mvc\Entity\Manager;
use XF\Mvc\Entity\Structure;
use XF\Mvc\Entity\Entity;
use XF\Mvc\Renderer\AbstractRenderer;
use XF\Mvc\Reply\View;

class Listener
{
    public static function userEntityStructure(Manager $em, Structure &$structure)
    {
        $structure->relations['ProfileAudio'] = [
            'entity' => 'XenCustomize\ProfileAudioPlayer:ProfileAudio',
            'type' => Entity::TO_ONE,
            'conditions' => [
                ['user_id', '=', '$user_id']
            ],
            'primary' => true
        ];
    }

    public static function appPubSetup(\XF\App $app)
    {
        
    }

    public static function appSetup(\XF\App $app)
    {
        //$app->entityStructure('XF:User')->addListener('XenCustomize\ProfileAudioPlayer:Listener::userEntityStructure');
    }

    public static function entityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        
    }

    

}