<?php

/*************************************************************************
 * [XenCustomize] Profile Audio Player © 2023 XenCustomize.com
 * All Rights Reserved.
 *************************************************************************/

namespace XenCustomize\ProfileAudioPlayer\XF\Entity;

use XF\Mvc\Entity\Structure;

class User extends XFCP_User
{
    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->relations['ProfileAudio'] = [
            'entity' => 'XenCustomize\ProfileAudioPlayer:ProfileAudio',
            'type' => self::TO_ONE,
            'conditions' => [
                ['user_id', '=', '$user_id']
            ]
        ];

        return $structure;
    }
}
